net.i2p.router.transport.udp

## Class UDPSender

- java.lang.Object
- - net.i2p.router.transport.udp.UDPSender

-      class UDPSender
      extends Object

  Lowest level packet sender, pushes anything on its queue ASAP.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UDPSender(RouterContext ctx, DatagramSocket socket, String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `add(UDPPacket packet)` Put it on the queue
    `int` | `add(UDPPacket packet, int blockTime)` Deprecated. use add(packet)
    `void` | `shutdown()`
    `void` | `startup()`
    `DatagramSocket` | `updateListeningPort(DatagramSocket socket, int newPort)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UDPSender

          public UDPSender(RouterContext ctx,
                   DatagramSocket socket,
                   String name)

  - ### Method Detail

    - #### startup

          public void startup()

    - #### shutdown

          public void shutdown()

    - #### updateListeningPort

          public DatagramSocket updateListeningPort(DatagramSocket socket,
                                           int newPort)

    - #### add

          public int add(UDPPacket packet,
                int blockTime)

      Deprecated. use add(packet)
      Add the packet to the queue. This may block until there is space available, if requested, otherwise it returns immediately
      Parameters:
        `blockTime` - how long to block IGNORED
      Returns:
        number of packets queued

    - #### add

          public int add(UDPPacket packet)

      Put it on the queue
      Returns:
        ZERO (used to be number of packets in the queue)